       class-id WPFTreeView.Window1 is partial
                 inherits type System.Windows.Window.

       working-storage section.
       method-id NEW.
       procedure division.
           invoke self::InitializeComponent()
           goback.
       end method.

       method-id MenuItem_Kunden final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_KundenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Lieferanten final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_LieferantenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Architekten final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_ArchitektenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Mitarbeiter final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_MitarbeiterRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_Basisdaten final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_BasisdatenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_Lagerbuchungen final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_LagerbuchungenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_Konditionen final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.

          move "Konditionen" to textBox1::Text.
          
       end method.

       method-id MenuItem_Artikel_KonditionenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
      
          move "Konditionen Rechte Maustaste" to textBox1::Text.
          
       end method.

       method-id MenuItem_Artikel_Warengruppen final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.

         move "Warengruppe" to textBox1::Text.

       end method.

       method-id MenuItem_Artikel_WarengruppenRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.

         move "Warengruppe Rechte Maustaste" to textBox1::Text.

       end method.

       method-id MenuItem_Artikel_Einkaufsrabatt final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Artikel_EinkaufsrabattRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_Textbausteine final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id MenuItem_TextbausteineRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       method-id button1_Click final private.
       procedure division using by value sender as object e as type System.Windows.RoutedEventArgs.
       
          set treeView1::IsEnabled to false
       
       end method.

       method-id button2_Click final private.
       procedure division using by value sender as object e as type System.Windows.RoutedEventArgs.
       
          set treeView1::IsEnabled to true
              
       end method.

       method-id button3_Click final private.
       procedure division using by value sender as object e as type System.Windows.RoutedEventArgs.
       
         set TreeviewArtikelWarengruppen::Visibility to Type Visibility::Collapsed
       
       end method.

       method-id button4_Click final private.
       procedure division using by value sender as object e as type System.Windows.RoutedEventArgs.
       
         set TreeviewArtikelWarengruppen::Visibility to Type Visibility::Visible
      
       end method.

       method-id MenuItem_Tools final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       
       
       
       end method.

       method-id MenuItem_ToolsRe final private.
       procedure division using by value sender as object e as type System.Windows.Input.MouseButtonEventArgs.
       end method.

       end class.
